import {DayOfWeek} from "@model/dayOfWeek";

export interface ScheduleResponse {
  dayOfWeek: DayOfWeek;
  pairNumber: number;
  isEven: boolean;
  discipline: string;
  disciplineId: number;
  isExcludedWeeks?: boolean;
  weeks?: Array<number>;
  typeOfOccupations: Array<string>;
  group: string;
  groupId: number;
  lectureHalls: Array<string | null>;
  lectureHallsId: Array<number | null>;
  professors: Array<string | null>;
  professorsId: Array<number | null>;
  campus: Array<string | null>;
  campusId: Array<number | null>;
  linkToMeet: Array<string | null>;
}
